Index: /Users/team/fluid-repos/fluid-components/src/webapp/fluid-components/js/fluid/Uploader.js
===================================================================
--- /Users/team/fluid-repos/fluid-components/src/webapp/fluid-components/js/fluid/Uploader.js	(revision 5316)
+++ /Users/team/fluid-repos/fluid-components/src/webapp/fluid-components/js/fluid/Uploader.js	(working copy)
@@ -1110,11 +1110,18 @@
 		container.ariaState("live","assertive");
 		container.ariaState("busy","false");
 		container.ariaState("valuenow","0");
+		container.ariaState("valuetext","");
 	};
     
     var updateARIA = function(container, percent){
-        container.ariaState("busy",(percent < 100 && percent > 0));			
+        var busy = percent < 100 && percent > 0;
+        container.ariaState("busy",busy);
 	    container.ariaState("valuenow",percent);	
+        if (busy){
+            container.ariaState("valuetext", "Upload is "+percent+" percent complete");
+        } else if (percent === 100) {
+            container.ariaState("valuetext", "Upload is complete. To upload more files, click the Add More button.");
+        }
 	};
 
     /* Constructor */
@@ -1159,6 +1166,7 @@
             setProgress(percent, text, this.fileProgressElm, this.currRowElm, this.fileTextElm, dontAnimate);
         } else {
             setProgress(percent, text, this.totalProgressElm, this.totalProgressContainer, this.totalTextElm, dontAnimate);
+            updateARIA(this.totalProgressContainer, percent);
         }
     };
 
@@ -1179,7 +1187,6 @@
         } else {
             animateToWidth(progressElm,newWidth);
         }
-        updateARIA(containerElm, percent);
     };
         
     fluid.Progress.prototype.hide = function(dontPause) {
Index: /Users/team/fluid-repos/fluid-components/src/webapp/tests/fluid-tests/js/ProgressTests.js
===================================================================
--- /Users/team/fluid-repos/fluid-components/src/webapp/tests/fluid-tests/js/ProgressTests.js	(revision 5320)
+++ /Users/team/fluid-repos/fluid-components/src/webapp/tests/fluid-tests/js/ProgressTests.js	(working copy)
@@ -125,7 +125,7 @@
 
         });
 
-        progressTests.test("ARIA update", function() {
+        progressTests.test("ARIA numeric update", function() {
             var container = $("#progress-container .total-progress-container");
             createProgressBar();
             jqUnit.assertEquals("Start: busy should be ", "false", container.ariaState("busy"));
@@ -149,5 +149,22 @@
             jqUnit.assertEquals("Done: valuenow should be ", updateValue, container.ariaState("valuenow"));
         });
 
+        progressTests.test("ARIA verbose update", function() {
+            var container = $("#progress-container .total-progress-container");
+            createProgressBar();
+            jqUnit.assertEquals("Start: valuetext should read ", "", container.ariaState("valuetext"));
+
+            var updateValue = 0;
+            progressBar.updateProgress("total",updateValue,"Some Text",true); 
+            jqUnit.assertEquals("Working: valuetext should still read ", "", container.ariaState("valuetext"));
+
+            updateValue = 10;
+            progressBar.updateProgress("total",updateValue,"Some Text",true); 
+            jqUnit.assertEquals("Working: valuetext should read ", "Upload is "+updateValue+" percent complete", container.ariaState("valuetext"));
+
+            updateValue = 100;
+            progressBar.updateProgress("total",updateValue,"Some Text",true); 
+            jqUnit.assertEquals("Working: valuetext should read ", "Upload is complete. To upload more files, click the Add More button.", container.ariaState("valuetext"));
+        });
     });
 }) (jQuery);
